Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## scone.accesstracking
Class AppletConnector

    java.lang.Object
      scone.accesstracking.AppletConnector

All Implemented Interfaces:
  ConnectionHandler

    public class AppletConnector

extends java.lang.Object
implements ConnectionHandler

Every time, LogApplet connects to RAS (scone.ras.rasServer.java), RAS starts an instance of this class that lives as long as the connection of the applet. This class communicates with the Applet, decodes received messages and calls the corresponding methods of the EventDecoder class, that creates and fills the Access events.

Version:
  1.0b, 10/31/2001
Author:
  Torsten Hass

Constructor Summary
`AppletConnector()`

Method Summary
`java.lang.String` | `getParameter(java.lang.String inputLine, java.lang.String paramName)` This Method gets the value of the parameter paramName from the String sent by the applet.
`void` | `handle(Connection c)` RAS handler for the RAS-Connection from LogApplet.
`boolean` | `sendToApplet(java.lang.String command, java.lang.String parameter1, java.lang.String parameter2)` Sends a string back to the Applet, containing the command to be executed by the applet, an url if needed and a target if needed.
`boolean` | `testIsAppletExistent()` Sends an empty String to an applet only used to check whether this applet exists or not.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AppletConnector

    public AppletConnector()

Method Detail

### handle

    public void handle(Connection c)

  RAS handler for the RAS-Connection from LogApplet. This method is invoked by RASServer when LogApplet connects to RAS.

  Specified by:
    `handle` in interface `ConnectionHandler`
  Parameters:
    `c` - The Connection object to communicate with LogApplet

### testIsAppletExistent

    public boolean testIsAppletExistent()

  Sends an empty String to an applet only used to check whether this applet exists or not. This can be used as a hint whether the window exists or not. It will return true if applet exists, false and a java.lang.NullPointerException if not.

### sendToApplet

    public boolean sendToApplet(java.lang.String command,
                                java.lang.String parameter1,
                                java.lang.String parameter2)

  Sends a string back to the Applet, containing the command to be executed by the applet, an url if needed and a target if needed.
  e. g. sendToApplet("OpenURL", "www.uni-hamburg.de", "_self");
  tells the applet to call another page in the browser.
  sendToApplet("BringToFront", "", "");
  tells the browser to become the top level window.

  Parameters:
    `command` - The command for the Applet (BringToFront or OpenURL) (not casesensitive)
    `url` - The url needed for OpenURL. Send an empty String for other commands.
    `target` - The target needet for OpenURL. Send an empty String for other commands.

### getParameter

    public java.lang.String getParameter(java.lang.String inputLine,
                                         java.lang.String paramName)

  This Method gets the value of the parameter paramName from the String sent by the applet.

  Parameters:
    `paramName` - The name of the parameter
  Returns:
    The requested value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD